org.apache.cassandra.db

## Class LegacyLayout.CellGrouper

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.CellGrouper

Enclosing class:
  LegacyLayout

    public static class LegacyLayout.CellGrouper
    extends java.lang.Object

### Field Summary

Fields
`CFMetaData` `metadata`

### Constructor Summary

Constructors
Constructor and Description
`CellGrouper(CFMetaData metadata, SerializationHelper helper)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `addAtom(LegacyLayout.LegacyAtom atom)`
`boolean` `addCell(LegacyLayout.LegacyCell cell)`
`Row` `getRow()`
`void` `reset()`
`static LegacyLayout.CellGrouper` `staticGrouper(CFMetaData metadata, SerializationHelper helper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### metadata

    public final CFMetaData metadata

### Constructor Detail

#### CellGrouper

    public CellGrouper(CFMetaData metadata,
                       SerializationHelper helper)

### Method Detail

#### staticGrouper

    public static LegacyLayout.CellGrouper staticGrouper(CFMetaData metadata,
                                                         SerializationHelper helper)

#### reset

    public void reset()

#### addAtom

    public boolean addAtom(LegacyLayout.LegacyAtom atom)

#### addCell

    public boolean addCell(LegacyLayout.LegacyCell cell)

#### getRow

    public Row getRow()